/* Example302A
 * trigger pin 11 when the photocurrent is above a threshold
 */

const int inPin=0;  //analog pin : A0
const int outPin=11; //digital pin : 11
const int threshold=60; 

void setup() {
  Serial.begin(9600);
  pinMode(outPin, OUTPUT);
}

void loop() {
  int data=analogRead(inPin);
  Serial.println(data);
  if(data < threshold){
    digitalWrite(outPin, HIGH);
    Serial.println("pin is on");
  }
  else{
    digitalWrite(outPin, LOW);
    Serial.println("pin is off");
  }
  delay(1000); //wait for one second
}
