// filename: Example305A
//
//                    Arduino
//                 ---------------
//                 |             |
//   Pin 3(Vcc) ---|3v3          |
//   Pin 2(GND) ---|GND        ~9|--->ledR
//                 |          ~11|--->ledG
//                 |          ~10|--->ledB
//                 ---------------
// 

const int ledR=9;
const int ledG=11;
const int ledB=10;

float r, g, b;

void setup(){
}

void loop(){
  for(int i=0; i<360; i++){
    r=(cos(6.28/360.0*i)+1.0)*128;
    g=(cos(6.28/360.0*(i-120.0))+1.0)*128;
    b=(cos(6.28/360.0*(i+120.0))+1.0)*128;
    analogWrite(ledR, r);
    analogWrite(ledG, g);
    analogWrite(ledB, b);
    delay(30);
  }
}



